%global oversion 1.1.4c

Summary:        XML Pull Parser
Name:           xpp3
Version:        1.1.4
Release:        %mkrel 9.c.5
Group:          Development/Java
License:        ASL 1.1
URL:            http://www.extreme.indiana.edu/xgws/xsoap/xpp/mxp1/index.html
Source0:        http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/xpp3-%{oversion}_src.tgz
Source1:        http://repo1.maven.org/maven2/xpp3/xpp3/%{oversion}/xpp3-%{oversion}.pom
Source2:        http://repo1.maven.org/maven2/xpp3/xpp3_xpath/%{oversion}/xpp3_xpath-%{oversion}.pom
Source3:        http://repo1.maven.org/maven2/xpp3/xpp3_min/%{oversion}/xpp3_min-%{oversion}.pom
Source4:        %{name}-%{oversion}-OSGI-MANIFEST.MF
Patch0:         %{name}-link-docs-locally.patch

BuildRequires:  javapackages-local
BuildRequires:  java-javadoc
BuildRequires:  ant
BuildRequires:  junit

BuildArch:      noarch

%description
XML Pull Parser 3rd Edition (XPP3) MXP1 is an XmlPull
parsing engine that is based on ideas from XPP and in
particular XPP2 but completely revised and rewritten to
take best advantage of latest JIT JVMs such as Hotspot in JDK 1.4.

%package minimal
Summary:        Minimal XML Pull Parser

%description minimal
Minimal XML pull parser implementation.

%package javadoc
Summary:        Javadoc for %{name}
Requires:       java-javadoc

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{oversion}
# remove all binary libs
find -name \*.jar -delete
# Remove class bundled from Axis (now it's bundled in JRE)
rm -rf src/java/builder/javax

%patch0

# "src/java/addons_tests" does not exist
sed -i 's|depends="junit_main,junit_addons"|depends="junit_main"|' build.xml

# relax javadoc linting
sed -i '/<javadoc/aadditionalparam="-Xdoclint:none"' build.xml

# allow building on JDK 11
sed -i -e '/source="1.2" target="1.1"/s/1\../1.8/g' build.xml

%build
export CLASSPATH=$(build-classpath junit)
export ANT_OPTS="-Dfile.encoding=iso-8859-1"
ant xpp3 junit apidoc

# Add OSGi metadata
jar ufm build/%{name}-%{oversion}.jar %{SOURCE4}

%install
%mvn_file ':{*}' @1
%mvn_package :xpp3_min minimal

%mvn_artifact %{SOURCE1} build/%{name}-%{oversion}.jar
%mvn_artifact %{SOURCE2} build/%{name}_xpath-%{oversion}.jar
%mvn_artifact %{SOURCE3} build/%{name}_min-%{oversion}.jar

# Javadocs
%mvn_install -J doc/api

%files -f .mfiles
%doc README.html doc/*.txt doc/*.html
%license LICENSE.txt

%files minimal -f .mfiles-minimal
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Tue Oct 27 2020 tv <tv> 1.1.4-9.c.5.mga8
+ Revision: 1639784
- Fix building on JDK 11

* Fri Feb 14 2020 umeabot <umeabot> 1.1.4-9.c.4.mga8
+ Revision: 1520291
- Mageia 8 Mass Rebuild

* Sun Nov 18 2018 guillomovitch <guillomovitch> 1.1.4-9.c.3.mga7
+ Revision: 1331292
- sync with fedora

* Wed Sep 19 2018 umeabot <umeabot> 1.1.4-8.c.3.mga7
+ Revision: 1277347
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.1.4-8.c.1.mga6
+ Revision: 978550
- sync package xpp3 with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 daviddavid <daviddavid> 0:1.1.4-0.c.1.mga5
+ Revision: 808214
- Sync with fc21 (update to 1.1.4c)
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.3.8-12.mga5
+ Revision: 740482
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.1.3.8-11.mga5
+ Revision: 690757
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 0:1.1.3.8-10.mga4
+ Revision: 558403
- Remove old macro

* Tue Dec 10 2013 joequant <joequant> 0:1.1.3.8-9.mga4
+ Revision: 556094
- fix maven deppath error
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0:1.1.3.8-8.mga3
+ Revision: 387334
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 dmorgan <dmorgan> 0:1.1.3.8-7.mga3
+ Revision: 283069
- Remove junit as Requires for now ( mga #2517)

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.1.3.8-6.mga1
+ Revision: 93159
- Rebuild after bootstrapping
- imported package xpp3

